| ghc-6.12.3: The GHC API | Contents | Index

RegClass

Description
An architecture independent description of a register's class.
Synopsis

data RegClass

= RcInteger
| RcFloat
| RcDouble

Documentation
data RegClass

The class of a register. Used in the register allocator. We treat all registers in a class as being interchangable.
Constructors

RcInteger |
RcFloat |
RcDouble |

Instances

Eq RegClass
Outputable RegClass
Uniquable RegClass

Produced by Haddock version 2.6.1